"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
var avatar_1 = require("../../../ui/avatar");
var AvatarUpdate = function () {
    return (react_1.default.createElement(react_1.default.Fragment, null,
        react_1.default.createElement("input", { type: "file", className: "hidden", id: "avatar" }),
        react_1.default.createElement("label", { htmlFor: "avatar", className: "inline-block mx-auto relative" },
            react_1.default.createElement("div", { className: "absolute  right-0 left-0 top-0 bottom-0 z-20  rounded-full bg-black opacity-0 hover:opacity-50 cursor-pointer peer" }),
            react_1.default.createElement("i", { className: "fa-solid fa-pen absolute m-12 z-30 text-5xl opacity-0 peer-hover:opacity-100 pointer-events-none text-white" }),
            react_1.default.createElement(avatar_1.Avatar, { className: "w-36 h-36" },
                react_1.default.createElement(avatar_1.AvatarImage, { src: "https://github.com/shadcn.png" }),
                react_1.default.createElement(avatar_1.AvatarFallback, null, "CN")))));
};
exports.default = AvatarUpdate;
