"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
var label_1 = require("../../ui/label");
var switch_1 = require("../../ui/switch");
var MFA = function () {
    return (react_1.default.createElement(react_1.default.Fragment, null,
        react_1.default.createElement("div", { className: 'mt-7 mb-1 text-lg font-semibold' }, "2FA Authentication"),
        react_1.default.createElement("hr", { className: 'mt-1 mb-4' }),
        react_1.default.createElement("div", { className: 'flex items-center space-x-2' },
            react_1.default.createElement(switch_1.Switch, { id: 'airplane-mode' }),
            react_1.default.createElement(label_1.Label, { htmlFor: 'airplane-mode' }, "Toggle two factor authentication"))));
};
exports.default = MFA;
