"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
var button_1 = require("../../ui/button");
var input_1 = require("../../ui/input");
var formik_1 = require("formik");
var UpdatePassword = function () {
    return (react_1.default.createElement(react_1.default.Fragment, null,
        react_1.default.createElement("div", { className: "mt-7 mb-1 text-lg font-semibold" }, "Change Password"),
        react_1.default.createElement("hr", { className: "mt-1 mb-4" }),
        react_1.default.createElement(formik_1.Formik, { initialValues: { old: '', new: '', re: '' }, onSubmit: function () { } }, function (_a) {
            var values = _a.values, handleChange = _a.handleChange, handleBlur = _a.handleBlur, isSubmitting = _a.isSubmitting, errors = _a.errors, touched = _a.touched, handleSubmit = _a.handleSubmit;
            return (react_1.default.createElement("form", { onSubmit: handleSubmit, className: "mx-1" },
                react_1.default.createElement("div", { className: "text-base" }, " Old Password"),
                react_1.default.createElement(input_1.Input, { className: "mt-1 w-full", value: values.old, type: "password", name: "old", onChange: handleChange, onBlur: handleBlur }),
                errors.old && touched.old && errors.old,
                react_1.default.createElement("div", { className: "text-base mt-2" }, " New Password"),
                react_1.default.createElement(input_1.Input, { className: "mt-1 w-full", value: values.new, type: "text", name: "new", onChange: handleChange, onBlur: handleBlur }),
                errors.new && touched.new && errors.new,
                react_1.default.createElement("div", { className: "text-base mt-2" }, " Retype Password"),
                react_1.default.createElement(input_1.Input, { className: "mt-1 w-full", value: values.re, type: "password", name: "re", onChange: handleChange, onBlur: handleBlur }),
                errors.re && touched.re && errors.re,
                react_1.default.createElement(button_1.Button, { type: "submit", className: "mt-5 ", disabled: isSubmitting }, "Update Password")));
        })));
};
exports.default = UpdatePassword;
