"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
var dialog_1 = require("../ui/dialog");
var AccountManagementMenu_1 = __importDefault(require("./AccountManagementMenu"));
var Account_1 = __importDefault(require("./Account"));
var Security_1 = __importDefault(require("./Security"));
var Subscription_1 = __importDefault(require("./Subscription"));
var index = function () {
    return (react_1.default.createElement(dialog_1.DialogContent, { className: "grid max-w-3xl grid-cols-[25%_1fr] max-h-[500px]" },
        react_1.default.createElement(AccountManagementMenu_1.default, null),
        react_1.default.createElement("div", { className: "overflow-scroll h-full max-h-[450px]", id: "AccountManagementContent" },
            react_1.default.createElement(Account_1.default, null),
            react_1.default.createElement(Security_1.default, null),
            react_1.default.createElement(Subscription_1.default, null))));
};
exports.default = index;
