import * as React from "react";
export type ScreenValue = "mobileOnly" | "smartphonePortrait" | "smallDesktop" | "desktop";
export declare const ScreenContext: React.Context<ScreenValue[] | undefined>;
/**
 *  @deprecated Plasmic now uses a custom hook for Screen variants, which is
 *  automatically included in your components. Please remove this provider
 *  from your code.
 */
export declare function ScreenVariantProvider(props: React.PropsWithChildren): React.ReactNode;
export declare const useScreenVariants: () => string | string[] | undefined;
export default ScreenContext;
