"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
var button_1 = require("../ui/button");
var react_2 = require("react");
var AccountManagement = function () {
    var _a = (0, react_2.useState)('account'), highlightedElement = _a[0], setHighlightedElement = _a[1];
    (0, react_2.useLayoutEffect)(function () {
        var _a;
        (_a = document === null || document === void 0 ? void 0 : document.getElementById('AccountManagementContent')) === null || _a === void 0 ? void 0 : _a.addEventListener('scroll', function (e) {
            var _a, _b, _c;
            if (((_a = e.target) === null || _a === void 0 ? void 0 : _a.scrollTop) > 1100) {
                setHighlightedElement('subscription');
            }
            else if (((_b = e.target) === null || _b === void 0 ? void 0 : _b.scrollTop) > 500) {
                setHighlightedElement('security');
            }
            else if (((_c = e.target) === null || _c === void 0 ? void 0 : _c.scrollTop) > 0) {
                setHighlightedElement('account');
            }
        });
        return function () { };
    }, []);
    return (react_1.default.createElement("div", { className: "border-r-2 border-gray-300 pr-5" }, [
        {
            name: 'account',
            icon: 'fa-solid fa-user',
        },
        { name: 'security', icon: 'fa-solid fa-shield-halved' },
        { name: 'subscription', icon: 'fa-solid fa-ticket' },
    ].map(function (object) { return (react_1.default.createElement(button_1.Button, { onClick: function () {
            console.log(document.getElementById(object.name));
            document
                .getElementById(object.name)
                .scrollIntoView({ behavior: 'smooth' });
        }, variant: "ghost", className: "w-full justify-start capitalize", style: {
            backgroundColor: highlightedElement === object.name ? '#F1F5F9' : '',
            color: highlightedElement === object.name ? '#020818' : '',
        } },
        react_1.default.createElement("i", { className: object.icon + ' text-gray-400 mr-3 ' }),
        object.name)); })));
};
exports.default = AccountManagement;
