"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
var dialog_1 = require("../ui/dialog");
var dropdown_menu_1 = require("../ui/dropdown-menu");
var AvatarIcon_1 = __importDefault(require("./AvatarIcon"));
var AccountManagement_1 = __importDefault(require("../AccountManagement"));
var index = function () {
    return (react_1.default.createElement(dialog_1.Dialog, null,
        react_1.default.createElement(dropdown_menu_1.DropdownMenu, null,
            react_1.default.createElement(dropdown_menu_1.DropdownMenuTrigger, { className: "rounded-full" },
                react_1.default.createElement(AvatarIcon_1.default, null)),
            react_1.default.createElement(dropdown_menu_1.DropdownMenuContent, { className: "min-w-[250px]" },
                react_1.default.createElement(dropdown_menu_1.DropdownMenuLabel, { className: "grid grid-cols-[3rem_1fr] gap-3" },
                    react_1.default.createElement(AvatarIcon_1.default, null),
                    react_1.default.createElement("div", null,
                        react_1.default.createElement("div", { className: "text-lg font-bold" }, "Morty Sanchez"),
                        react_1.default.createElement("div", { className: "text-sm -mt-1 text-gray-500 font-semibold" }, "@Mortilicious"))),
                react_1.default.createElement(dropdown_menu_1.DropdownMenuItem, { className: "mt-2" },
                    react_1.default.createElement(dialog_1.DialogTrigger, { className: "grid grid-cols-[3rem_1fr] gap-3 " },
                        react_1.default.createElement("div", { className: "grid place-items-center h-full" },
                            react_1.default.createElement("i", { className: "fa-solid fa-gear text-gray-400 " })),
                        react_1.default.createElement("div", { className: " text-base text-gray-700 font-semibold" }, "Manage Account"))),
                react_1.default.createElement(dropdown_menu_1.DropdownMenuItem, { className: "grid grid-cols-[3rem_1fr] gap-3 mt-2" },
                    react_1.default.createElement("div", { className: "grid place-items-center " },
                        react_1.default.createElement("i", { className: "fa-solid fa-arrow-right-from-bracket text-gray-400" })),
                    react_1.default.createElement("div", { className: " text-base text-gray-700 font-semibold" }, "Sign out")),
                react_1.default.createElement("div", { className: "mt-4 ml-3 mb-3 text-sm text-gray-400" }, "Powered by \"logo\" ProPro"))),
        react_1.default.createElement(AccountManagement_1.default, null)));
};
exports.default = index;
