/** @jsxRuntime classic */
/** @jsx createPlasmicElementProxy */
/** @jsxFrag React.Fragment */
import * as React from "react";
import * as p from "@plasmicapp/react-web";
import { SingleChoiceArg } from "@plasmicapp/react-web";
import "@plasmicapp/react-web/lib/plasmic.css";
export type PlasmicLogo__VariantMembers = {
    app: "hubHub" | "mapMap" | "proPro";
    size: "small" | "medium" | "large";
};
export type PlasmicLogo__VariantsArgs = {
    app?: SingleChoiceArg<"hubHub" | "mapMap" | "proPro">;
    size?: SingleChoiceArg<"small" | "medium" | "large">;
};
export declare const PlasmicLogo__VariantProps: (keyof PlasmicLogo__VariantsArgs)[];
export type PlasmicLogo__ArgsType = {};
export declare const PlasmicLogo__ArgProps: never[];
export type PlasmicLogo__OverridesType = {
    root?: p.Flex<"div">;
    markContainer?: p.Flex<"div">;
    appName?: p.Flex<"div">;
    textContainerA?: p.Flex<"div">;
    textContainerB?: p.Flex<"div">;
};
export interface DefaultLogoProps {
    app?: SingleChoiceArg<"hubHub" | "mapMap" | "proPro">;
    size?: SingleChoiceArg<"small" | "medium" | "large">;
    className?: string;
}
declare const PlasmicDescendants: {
    readonly root: readonly ["root", "markContainer", "appName", "textContainerA", "textContainerB"];
    readonly markContainer: readonly ["markContainer"];
    readonly appName: readonly ["appName", "textContainerA", "textContainerB"];
    readonly textContainerA: readonly ["textContainerA"];
    readonly textContainerB: readonly ["textContainerB"];
};
type NodeNameType = keyof typeof PlasmicDescendants;
type DescendantsType<T extends NodeNameType> = (typeof PlasmicDescendants)[T][number];
type ReservedPropsType = "variants" | "args" | "overrides";
type NodeOverridesType<T extends NodeNameType> = Pick<PlasmicLogo__OverridesType, DescendantsType<T>>;
export declare const PlasmicLogo: {
    <T extends {
        variants?: PlasmicLogo__VariantsArgs | undefined;
        args?: PlasmicLogo__ArgsType | undefined;
        overrides?: NodeOverridesType<"root"> | undefined;
    } & Omit<PlasmicLogo__VariantsArgs, ReservedPropsType> & Omit<PlasmicLogo__ArgsType, ReservedPropsType> & Omit<NodeOverridesType<"root">, ReservedPropsType | keyof PlasmicLogo__VariantsArgs> & Omit<Partial<React.DetailedHTMLProps<React.HTMLAttributes<HTMLDivElement>, HTMLDivElement>>, "appName" | "root" | ReservedPropsType | keyof PlasmicLogo__VariantsArgs | "markContainer" | "textContainerA" | "textContainerB"> & {
        key?: React.Key | undefined;
    }>(props: T & p.StrictProps<T, {
        variants?: PlasmicLogo__VariantsArgs | undefined;
        args?: PlasmicLogo__ArgsType | undefined;
        overrides?: NodeOverridesType<"root"> | undefined;
    } & Omit<PlasmicLogo__VariantsArgs, ReservedPropsType> & Omit<PlasmicLogo__ArgsType, ReservedPropsType> & Omit<NodeOverridesType<"root">, ReservedPropsType | keyof PlasmicLogo__VariantsArgs> & Omit<Partial<React.DetailedHTMLProps<React.HTMLAttributes<HTMLDivElement>, HTMLDivElement>>, "appName" | "root" | ReservedPropsType | keyof PlasmicLogo__VariantsArgs | "markContainer" | "textContainerA" | "textContainerB"> & {
        key?: React.Key | undefined;
    }>): React.ReactElement<any, string | React.JSXElementConstructor<any>> | null;
    displayName: string;
} & {
    markContainer: {
        <T_1 extends {
            variants?: PlasmicLogo__VariantsArgs | undefined;
            args?: PlasmicLogo__ArgsType | undefined;
            overrides?: NodeOverridesType<"markContainer"> | undefined;
        } & Omit<PlasmicLogo__VariantsArgs, ReservedPropsType> & Omit<PlasmicLogo__ArgsType, ReservedPropsType> & Omit<NodeOverridesType<"markContainer">, ReservedPropsType | keyof PlasmicLogo__VariantsArgs> & Omit<Partial<React.DetailedHTMLProps<React.HTMLAttributes<HTMLDivElement>, HTMLDivElement>>, ReservedPropsType | keyof PlasmicLogo__VariantsArgs | "markContainer"> & {
            key?: React.Key | undefined;
        }>(props: T_1 & p.StrictProps<T_1, {
            variants?: PlasmicLogo__VariantsArgs | undefined;
            args?: PlasmicLogo__ArgsType | undefined;
            overrides?: NodeOverridesType<"markContainer"> | undefined;
        } & Omit<PlasmicLogo__VariantsArgs, ReservedPropsType> & Omit<PlasmicLogo__ArgsType, ReservedPropsType> & Omit<NodeOverridesType<"markContainer">, ReservedPropsType | keyof PlasmicLogo__VariantsArgs> & Omit<Partial<React.DetailedHTMLProps<React.HTMLAttributes<HTMLDivElement>, HTMLDivElement>>, ReservedPropsType | keyof PlasmicLogo__VariantsArgs | "markContainer"> & {
            key?: React.Key | undefined;
        }>): React.ReactElement<any, string | React.JSXElementConstructor<any>> | null;
        displayName: string;
    };
    appName: {
        <T_2 extends {
            variants?: PlasmicLogo__VariantsArgs | undefined;
            args?: PlasmicLogo__ArgsType | undefined;
            overrides?: NodeOverridesType<"appName"> | undefined;
        } & Omit<PlasmicLogo__VariantsArgs, ReservedPropsType> & Omit<PlasmicLogo__ArgsType, ReservedPropsType> & Omit<NodeOverridesType<"appName">, ReservedPropsType | keyof PlasmicLogo__VariantsArgs> & Omit<Partial<React.DetailedHTMLProps<React.HTMLAttributes<HTMLDivElement>, HTMLDivElement>>, "appName" | ReservedPropsType | keyof PlasmicLogo__VariantsArgs | "textContainerA" | "textContainerB"> & {
            key?: React.Key | undefined;
        }>(props: T_2 & p.StrictProps<T_2, {
            variants?: PlasmicLogo__VariantsArgs | undefined;
            args?: PlasmicLogo__ArgsType | undefined;
            overrides?: NodeOverridesType<"appName"> | undefined;
        } & Omit<PlasmicLogo__VariantsArgs, ReservedPropsType> & Omit<PlasmicLogo__ArgsType, ReservedPropsType> & Omit<NodeOverridesType<"appName">, ReservedPropsType | keyof PlasmicLogo__VariantsArgs> & Omit<Partial<React.DetailedHTMLProps<React.HTMLAttributes<HTMLDivElement>, HTMLDivElement>>, "appName" | ReservedPropsType | keyof PlasmicLogo__VariantsArgs | "textContainerA" | "textContainerB"> & {
            key?: React.Key | undefined;
        }>): React.ReactElement<any, string | React.JSXElementConstructor<any>> | null;
        displayName: string;
    };
    textContainerA: {
        <T_3 extends {
            variants?: PlasmicLogo__VariantsArgs | undefined;
            args?: PlasmicLogo__ArgsType | undefined;
            overrides?: NodeOverridesType<"textContainerA"> | undefined;
        } & Omit<PlasmicLogo__VariantsArgs, ReservedPropsType> & Omit<PlasmicLogo__ArgsType, ReservedPropsType> & Omit<NodeOverridesType<"textContainerA">, ReservedPropsType | keyof PlasmicLogo__VariantsArgs> & Omit<Partial<React.DetailedHTMLProps<React.HTMLAttributes<HTMLDivElement>, HTMLDivElement>>, ReservedPropsType | keyof PlasmicLogo__VariantsArgs | "textContainerA"> & {
            key?: React.Key | undefined;
        }>(props: T_3 & p.StrictProps<T_3, {
            variants?: PlasmicLogo__VariantsArgs | undefined;
            args?: PlasmicLogo__ArgsType | undefined;
            overrides?: NodeOverridesType<"textContainerA"> | undefined;
        } & Omit<PlasmicLogo__VariantsArgs, ReservedPropsType> & Omit<PlasmicLogo__ArgsType, ReservedPropsType> & Omit<NodeOverridesType<"textContainerA">, ReservedPropsType | keyof PlasmicLogo__VariantsArgs> & Omit<Partial<React.DetailedHTMLProps<React.HTMLAttributes<HTMLDivElement>, HTMLDivElement>>, ReservedPropsType | keyof PlasmicLogo__VariantsArgs | "textContainerA"> & {
            key?: React.Key | undefined;
        }>): React.ReactElement<any, string | React.JSXElementConstructor<any>> | null;
        displayName: string;
    };
    textContainerB: {
        <T_4 extends {
            variants?: PlasmicLogo__VariantsArgs | undefined;
            args?: PlasmicLogo__ArgsType | undefined;
            overrides?: NodeOverridesType<"textContainerB"> | undefined;
        } & Omit<PlasmicLogo__VariantsArgs, ReservedPropsType> & Omit<PlasmicLogo__ArgsType, ReservedPropsType> & Omit<NodeOverridesType<"textContainerB">, ReservedPropsType | keyof PlasmicLogo__VariantsArgs> & Omit<Partial<React.DetailedHTMLProps<React.HTMLAttributes<HTMLDivElement>, HTMLDivElement>>, ReservedPropsType | keyof PlasmicLogo__VariantsArgs | "textContainerB"> & {
            key?: React.Key | undefined;
        }>(props: T_4 & p.StrictProps<T_4, {
            variants?: PlasmicLogo__VariantsArgs | undefined;
            args?: PlasmicLogo__ArgsType | undefined;
            overrides?: NodeOverridesType<"textContainerB"> | undefined;
        } & Omit<PlasmicLogo__VariantsArgs, ReservedPropsType> & Omit<PlasmicLogo__ArgsType, ReservedPropsType> & Omit<NodeOverridesType<"textContainerB">, ReservedPropsType | keyof PlasmicLogo__VariantsArgs> & Omit<Partial<React.DetailedHTMLProps<React.HTMLAttributes<HTMLDivElement>, HTMLDivElement>>, ReservedPropsType | keyof PlasmicLogo__VariantsArgs | "textContainerB"> & {
            key?: React.Key | undefined;
        }>): React.ReactElement<any, string | React.JSXElementConstructor<any>> | null;
        displayName: string;
    };
    internalVariantProps: (keyof PlasmicLogo__VariantsArgs)[];
    internalArgProps: never[];
};
export default PlasmicLogo;
