"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.FilledsvgIcon = void 0;
// @ts-nocheck
/* eslint-disable */
/* tslint:disable */
/* prettier-ignore-start */
var react_1 = __importDefault(require("react"));
var react_web_1 = require("@plasmicapp/react-web");
function FilledsvgIcon(props) {
    var className = props.className, style = props.style, title = props.title, restProps = __rest(props, ["className", "style", "title"]);
    return (react_1.default.createElement("svg", __assign({ xmlns: "http://www.w3.org/2000/svg", fill: "none", viewBox: "0 0 25 24", height: "1em", className: (0, react_web_1.classNames)("plasmic-default__svg", className), style: style }, restProps),
        title && react_1.default.createElement("title", null, title),
        react_1.default.createElement("path", { d: "M13.334 3.001l7.556.002.12.014.088.02.104.034.09.04.063.036.063.041.064.05.063.059.094.11.072.11.053.113.035.105.016.066.01.052.01.148v7.504a1 1 0 01-1.993.117l-.007-.117v-5.09L5.543 20.707a1 1 0 01-1.32.083l-.094-.083a1 1 0 01-.083-1.32l.083-.094L18.42 5h-5.086a1 1 0 01-.993-.883L12.334 4a1 1 0 011-1z", fill: "currentColor" })));
}
exports.FilledsvgIcon = FilledsvgIcon;
exports.default = FilledsvgIcon;
/* prettier-ignore-end */
